Menu
Reply
Richbuck
  • 1
  • 0
  • 0
Joining in
176 Views
Message 1 of 2
Flag for a moderator

email security

I have recently been hacked and was wanting to improve my internet security. I was advised to download the internet security package from Virgin, as well as changing my password.  

I did this for my Mac, but found that it was not supported by my old (-ish) Mac (version 10.13.4). Whereas the virgin package is only supported by Macs after 10.14. 

Is there a security package that will work on my Mac that Virgin used before 10.14? 

0 Kudos
Reply
用心棒
  • 5.77K
  • 647
  • 2K
Very Insightful Person
Very Insightful Person
142 Views
Message 2 of 2
Flag for a moderator

Re: email security

Virgin Media's security offering is dependent on F-Secure and their product's requirement is for recent versions of MacOS.

Sophos Home Free has been mentioned a few times on the forum so maybe worth considering; their system requirements are: Mac OS X 10.12, 10.13, 10.14, or 10.15; minimum 4 GB of free disk space, minimum 4 GB of RAM. There are other alternatives and I would encourage you research those as well to find the best fit for your needs.

I'm a Very Insightful Person, I'm here to share knowledge, I don't work for Virgin Media. Learn more
Have I helped? Click Mark as Helpful Answer or use Kudos to say thanks

 

0 Kudos
Reply